public class Fahrschueler {
  // Anfang Attribute
  private String Name;
  private int Theoriestunden;
  private int Praxisstunden;
  
  // die Assoziation
  private Auto dasAuto;
  // Ende Attribute
  
  public Fahrschueler(String Name) {
    this.Name = Name;
    Theoriestunden = 0;
    Praxisstunden = 0;
    dasAuto = null;
  }

  // Anfang Methoden
  public String getName() {
    return Name;
  }

  public int getTheoriestunden() {
    return Theoriestunden;
  }

  public int getPraxisstunden() {
    return Praxisstunden;
  }

  public Auto getAuto() {
    return dasAuto;
  }

  public void machePraxisstunde() {
    Praxisstunden++;
  }

  public void macheTheoriestunde() {
    Theoriestunden++;
  }

  public boolean TheorieBestanden() {
    return (Theoriestunden >= 14);
  }

  public boolean PraxisBestanden() {
    return (Praxisstunden >= 12);
  }
  
  public boolean hatFhrerschein() {
    return TheorieBestanden() && PraxisBestanden();
  }

  public boolean einsteigen(Auto einAuto) {
    if (hatFhrerschein()) {
      this.dasAuto = einAuto;
      return true;
    } else
      return false;
  }

  public boolean aussteigen() {
    if (dasAuto != null) {
      dasAuto = null;
      return true;
    } else
      return false;
  }

  // Ende Methoden
}
