import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class GUIFahrschule extends JFrame {
  // Anfang Attribute

  private JLabel jlAuto = new JLabel();
  private JLabel jlKennzeichen = new JLabel();
  private JLabel jlTankanzeige = new JLabel();
  private JLabel jlKilometerstand = new JLabel();
  private JTextField tfKennzeichen = new JTextField();
  private JNumberField nfKilometerstand = new JNumberField();
  private JNumberField nfTankanzeige = new JNumberField();
  private JNumberField nfStrecke = new JNumberField();
  private JNumberField nfMenge = new JNumberField();
  private JLabel jlStrecke = new JLabel();
  private JLabel jlMenge = new JLabel();
  private JButton bFahren = new JButton();
  private JButton bTanken = new JButton();

  private JLabel jlFahrschueler = new JLabel();
  private JLabel jlName = new JLabel();
  private JLabel jlTheoriestunden = new JLabel();
  private JLabel jlPraxisstunden = new JLabel();
  private JLabel jlTheoriepruefung = new JLabel();
  private JLabel jlPraxispruefung = new JLabel();
  private JTextField tfName = new JTextField();
  private JNumberField nfTheoriestunden = new JNumberField();
  private JNumberField nfPraxisstunden = new JNumberField();
  private JTextField tfTheoriepruefung = new JTextField();
  private JTextField tfPraxispruefung = new JTextField();
  private JButton bTheoriestunde = new JButton();
  private JButton bPraxisstunde = new JButton();
  private JButton bTheoriepruefung = new JButton();
  private JButton bPraxispruefung = new JButton();
  
  private JTextField tfAusgabe = new JTextField();
  private JButton bEinsteigenAuto1 = new JButton();
  private JButton bEinsteigenAuto2 = new JButton();
  private JButton bAussteigen = new JButton();
  private JButton bBeenden = new JButton();
  private JLabel jlAuto1 = new JLabel();
    private ImageIcon jlAuto1Icon = new ImageIcon("auto1.gif");
  private JLabel jlAuto2 = new JLabel();
    private ImageIcon jlAuto2Icon = new ImageIcon("auto2.png");

  // Model
  private Auto Porsche = new Auto("DA - HT 2367", 46, 7.3 );
  private Auto BMW = new Auto("F - AB 234", 57, 5.2);
  private Fahrschueler Lisa = new Fahrschueler("Lisa Meier");
  // Ende Attribute

  public GUIFahrschule(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 759; 
    int frameHeight = 441;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jlKennzeichen.setBounds(8, 40, 79, 20);
    jlKennzeichen.setText("Kennzeichen");
    jlKennzeichen.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlKennzeichen);
    jlTankanzeige.setBounds(8, 104, 77, 20);
    jlTankanzeige.setText("Tankanzeige");
    jlTankanzeige.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlTankanzeige);
    jlKilometerstand.setBounds(8, 72, 91, 20);
    jlKilometerstand.setText("Kilometerstand");
    jlKilometerstand.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlKilometerstand);
    bEinsteigenAuto1.setBounds(112, 240, 123, 25);
    bEinsteigenAuto1.setText("In Auto 1 einsteigen");
    bEinsteigenAuto1.setMargin(new Insets(2, 2, 2, 2));
    bEinsteigenAuto1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        bEinsteigenAuto1_ActionPerformed(evt);
      }
    });
    bEinsteigenAuto1.setFont(new Font("Dialog", Font.PLAIN, 12));
    cp.add(bEinsteigenAuto1);

    jlAuto.setBounds(8, 8, 49, 23);
    jlAuto.setText("Auto");
    jlAuto.setFont(new Font("Dialog", Font.BOLD, 16));
    cp.add(jlAuto);
    jlFahrschueler.setBounds(256, 8, 98, 24);
    jlFahrschueler.setText("Fahrschler");
    jlFahrschueler.setFont(new Font("Dialog", Font.BOLD, 17));
    cp.add(jlFahrschueler);
    jlName.setBounds(256, 40, 60, 20);
    jlName.setText("Name");
    jlName.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlName);
    jlTheoriestunden.setBounds(256, 72, 92, 20);
    jlTheoriestunden.setText("Theoriestunden");
    jlTheoriestunden.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlTheoriestunden);
    jlPraxisstunden.setBounds(256, 104, 90, 20);
    jlPraxisstunden.setText("Praxisstunden");
    jlPraxisstunden.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlPraxisstunden);
    jlTheoriepruefung.setBounds(256, 136, 90, 20);
    jlTheoriepruefung.setText("Theorieprfung");
    jlTheoriepruefung.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlTheoriepruefung);
    tfName.setBounds(368, 40, 100, 24);
    tfName.setText("");
    tfName.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(tfName);
    tfTheoriepruefung.setBounds(368, 136, 100, 24);
    tfTheoriepruefung.setText("");
    tfTheoriepruefung.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(tfTheoriepruefung);
    bEinsteigenAuto2.setBounds(240, 240, 123, 25);
    bEinsteigenAuto2.setText("In Auto 2 einsteigen");
    bEinsteigenAuto2.setMargin(new Insets(2, 2, 2, 2));
    bEinsteigenAuto2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        bEinsteigenAuto2_ActionPerformed(evt);
      }
    });
    bEinsteigenAuto2.setFont(new Font("Dialog", Font.PLAIN, 12));
    cp.add(bEinsteigenAuto2);
    bAussteigen.setBounds(368, 240, 99, 25);
    bAussteigen.setText("Aussteigen");
    bAussteigen.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        bAussteigen_ActionPerformed(evt);
      }
    });
    bAussteigen.setFont(new Font("Dialog", Font.PLAIN, 12));
    cp.add(bAussteigen);
    bAussteigen.setFont(new Font("Dialog", Font.PLAIN, 13));
    bPraxispruefung.setFont(new Font("Dialog", Font.PLAIN, 12));
    bTheoriepruefung.setFont(new Font("Dialog", Font.PLAIN, 12));
    bTheoriestunde.setFont(new Font("Dialog", Font.PLAIN, 12));
    bPraxisstunde.setFont(new Font("Dialog", Font.PLAIN, 12));
    bBeenden.setFont(new Font("Dialog", Font.PLAIN, 12));
    bTanken.setFont(new Font("Dialog", Font.PLAIN, 12));
    bFahren.setFont(new Font("Dialog", Font.PLAIN, 12));

    jlStrecke.setBounds(56, 136, 47, 20);
    jlStrecke.setText("km");
    jlStrecke.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlStrecke);
    jlMenge.setBounds(56, 168, 47, 20);
    jlMenge.setText("Liter");
    jlMenge.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlMenge);
    nfStrecke.setBounds(8, 136, 43, 20);
    nfStrecke.setText("100");
    cp.add(nfStrecke);
    nfMenge.setBounds(8, 168, 43, 20);
    nfMenge.setText("10");
    cp.add(nfMenge);
    bFahren.setBounds(112, 136, 99, 25);
    bFahren.setText("Fahren");
    bFahren.setMargin(new Insets(2, 2, 2, 2));
    bFahren.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        bFahren_ActionPerformed(evt);
      }
    });
    cp.add(bFahren);
    bTanken.setBounds(112, 168, 99, 25);
    bTanken.setText("Tanken");
    bTanken.setMargin(new Insets(2, 2, 2, 2));
    bTanken.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        bTanken_ActionPerformed(evt);
      }
    });
    cp.add(bTanken);
    jlPraxispruefung.setBounds(256, 168, 93, 20);
    tfPraxispruefung.setBounds(368, 168, 100, 24);
    jlPraxispruefung.setText("Praxisprfung");
    jlPraxispruefung.setFont(new Font("Dialog", Font.PLAIN, 13));
    cp.add(jlPraxispruefung);
    cp.add(tfPraxispruefung);
    nfKilometerstand.setBounds(112, 72, 99, 24);
    nfKilometerstand.setText("");
    cp.add(nfKilometerstand);
    nfTankanzeige.setBounds(112, 104, 99, 24);
    nfTankanzeige.setText("");
    cp.add(nfTankanzeige);
    nfTheoriestunden.setBounds(368, 72, 99, 24);
    nfTheoriestunden.setText("0");
    cp.add(nfTheoriestunden);
    nfPraxisstunden.setBounds(368, 104, 99, 24);
    nfPraxisstunden.setText("0");
    cp.add(nfPraxisstunden);
    bTheoriestunde.setBounds(472, 72, 99, 25);
    bTheoriestunde.setText("Theoriestunde");
    bTheoriestunde.setMargin(new Insets(2, 2, 2, 2));
    bTheoriestunde.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        bTheoriestunde_ActionPerformed(evt);
      }
    });
    cp.add(bTheoriestunde);
    bPraxisstunde.setBounds(472, 104, 99, 25);
    bPraxisstunde.setText("Praxisstunde");
    bPraxisstunde.setMargin(new Insets(2, 2, 2, 2));
    bPraxisstunde.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        bPraxisstunde_ActionPerformed(evt);
      }
    });
    cp.add(bPraxisstunde);
    bTheoriepruefung.setBounds(472, 136, 99, 25);
    bTheoriepruefung.setText("Theorieprfung");
    bTheoriepruefung.setMargin(new Insets(2, 2, 2, 2));
    bTheoriepruefung.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        bTheoriepruefung_ActionPerformed(evt);
      }
    });
    cp.add(bTheoriepruefung);
    bPraxispruefung.setBounds(472, 168, 99, 25);
    bPraxispruefung.setText("Praxisprfung");
    bPraxispruefung.setMargin(new Insets(2, 2, 2, 2));
    bPraxispruefung.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        bPraxispruefung_ActionPerformed(evt);
      }
    });
    cp.add(bPraxispruefung);
    tfAusgabe.setBounds(112, 208, 460, 24);
    cp.add(tfAusgabe);
    bBeenden.setBounds(472, 240, 99, 25);
    bBeenden.setText("Beenden");
    bBeenden.setMargin(new Insets(2, 2, 2, 2));
    bBeenden.addActionListener(new ActionListener() { 
      public void actionPerformed(ActionEvent evt) { 
        bBeenden_ActionPerformed(evt);
      }
    });
    cp.add(bBeenden);
    tfKennzeichen.setBounds(112, 40, 100, 24);
    cp.add(tfKennzeichen);
    jlAuto1.setBounds(0, 280, 110, 20);
    jlAuto1.setText("");
    jlAuto1.setIcon(jlAuto1Icon);
    jlAuto1.setFont(new Font("Dialog", Font.PLAIN, 12));
    cp.add(jlAuto1);
    jlAuto2.setBounds(0, 312, 110, 20);
    jlAuto2.setText("");
    jlAuto2.setIcon(jlAuto2Icon);
    cp.add(jlAuto2);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
    
    tfName.setText(Lisa.getName());
  }
  
  // Anfang Methoden
  
  public void anzeigen(Auto einAuto) {
    tfKennzeichen.setText(einAuto.getKennzeichen());
    nfTankanzeige.setDouble(einAuto.getTankinhalt(), 2);
    nfKilometerstand.setDouble(einAuto.getKilometerstand(), 3);
    jlAuto1.setLocation((int) Porsche.getKilometerstand(), jlAuto1.getY());
    jlAuto2.setLocation((int) BMW.getKilometerstand(), jlAuto2.getY());
  }

  public void bTanken_ActionPerformed(ActionEvent evt) {
    if (Lisa.getAuto() != null) {
      Auto einAuto = Lisa.getAuto();
      einAuto.tanken(nfMenge.getDouble());
      nfTankanzeige.setDouble(einAuto.getTankinhalt(), 2);
    } else {
      tfAusgabe.setText(Lisa.getName() + " muss erst in ein Auto einsteigen.");
    }
  }

  public void bFahren_ActionPerformed(ActionEvent evt) {
    if (Lisa.getAuto() != null) {
      Auto einAuto = Lisa.getAuto();
      einAuto.fahren(nfStrecke.getDouble());
      anzeigen(einAuto);
    } else {
      tfAusgabe.setText(Lisa.getName() + " muss erst in ein Auto einsteigen.");
    }
  }

  public void bEinsteigenAuto1_ActionPerformed(ActionEvent evt) {
    if (Lisa.getAuto() == null) {
      if (Lisa.einsteigen(Porsche)) {
        anzeigen(Porsche);
        tfAusgabe.setText(Lisa.getName() + " ist in den Porsche eingestiegen.");
      } else
        tfAusgabe.setText(Lisa.getName() + " hat noch keinen Fhrerschein.");
    } else
      tfAusgabe.setText(Lisa.getName() + " sitzt noch im Auto " + Lisa.getAuto().getKennzeichen());
  }
  
  public void bEinsteigenAuto2_ActionPerformed(ActionEvent evt) {
    if (Lisa.getAuto() == null) {
      if (Lisa.einsteigen(BMW)) {
        anzeigen(BMW);
        tfAusgabe.setText(Lisa.getName() + " ist in den BMW eingestiegen.");
      } else
        tfAusgabe.setText(Lisa.getName() + " hat noch keinen Fhrerschein.");
    } else
      tfAusgabe.setText(Lisa.getName() + " sitzt noch im Auto " + Lisa.getAuto().getKennzeichen());
  }

  public void bAussteigen_ActionPerformed(ActionEvent evt) {
    if (Lisa.aussteigen()) {
      tfKennzeichen.setText("");
      nfTankanzeige.clear();
      nfKilometerstand.clear();
      tfAusgabe.setText(Lisa.getName() + " ist aus dem Auto ausgestiegen.");
    } else
      tfAusgabe.setText(Lisa.getName() + " sitzt in keinem Auto.");
  }
    
  public void bTheoriestunde_ActionPerformed(ActionEvent evt) {
    Lisa.macheTheoriestunde();
    nfTheoriestunden.setInt(Lisa.getTheoriestunden());
  }

  public void bPraxisstunde_ActionPerformed(ActionEvent evt) {
    Lisa.machePraxisstunde();
    nfPraxisstunden.setInt(Lisa.getPraxisstunden());
  }

  public void bTheoriepruefung_ActionPerformed(ActionEvent evt) {
    if (Lisa.TheorieBestanden())
      tfTheoriepruefung.setText("bestanden");
    else
      tfTheoriepruefung.setText("nicht bestanden");
  }

  public void bPraxispruefung_ActionPerformed(ActionEvent evt) {
    if (Lisa.PraxisBestanden())
      tfPraxispruefung.setText("bestanden");
    else
      tfPraxispruefung.setText("nicht bestanden");
  }

  public void bBeenden_ActionPerformed(ActionEvent evt) {
    System.exit(0);
  }

  // Ende Methoden

  public static void main(String[] args) {
    new GUIFahrschule("GUIFahrschule");
  }
}